<t:layout t:title="index" xmlns:t="http://tapestry.apache.org/schema/tapestry_5_0_0.xsd">
<t:delegate t:to="activeBlock"/>
<t:block t:id="step1">
	<t:form t:id="requestFrom">
		<label for="username"/>
		<input t:type="textField" t:id="username"/>
		<button t:type="submit" value="${message:recover}"/>
	</t:form>
</t:block>
<t:block t:id="step2">
	${recoverUrl}
</t:block>
<t:block t:id="step3">
	<t:form t:id="changePasswordForm">
		<label for="password"/>
		<input t:type="textField" t:id="password"/>
		<button t:type="submit" value="${message:change}"/>
	</t:form>
</t:block>

<t:block t:id="invalidToken">
	token invalid
	<t:delegate t:to="component:requestFrom"/>
</t:block>

<t:block t:id="success">
	success
	<t:pageLink page="index">index</t:pageLink>
</t:block>
</t:layout>